<html>
    <head>
        <title>Policy Management</title>
        <link rel="stylesheet" href="libraries/bootstrap.min.css" />
        <link rel="stylesheet" href="libraries/bootstrap-toggle.min.css" />
        <link rel="stylesheet" href="libraries/bootstrap-multiselect.css" />
        <link rel="stylesheet" href="libraries/fontawesome.min.css" />
        <link rel="stylesheet" href="libraries/solid.min.css" />
        <link rel="stylesheet" href="styles.css" />
        <link rel="stylesheet" href="multiselect-fixes.css" />
        <script language="javascript">groupLevel=false;</script>
        <script language="javascript" src="libraries/jquery-3.5.1.min.js"></script>
        <script language="javascript" src="libraries/popper.min.js"></script>
        <script language="javascript" src="libraries/bootstrap.min.js"></script>
        <script language="javascript" src="libraries/bootstrap-toggle.min.js"></script>
        <script language="javascript" src="libraries/bootstrap-multiselect.js"></script>
        <script language="javascript" src="libraries/fontawesome.min.js"></script>
        <script language="javascript" src="libraries/solid.min.js"></script>
        <script language="javascript" src="libraries/js-yaml.min.js"></script>
        <script language="javascript" src="network-policy.js"></script>
        <script language="javascript" src="aa-policy.js"></script>
        <script language="javascript" src="psp-policy.js"></script>
        <script language="javascript" src="scanning-policy.js"></script>
        <script language="javascript" src="scripts.js"></script>
    </head>
    <body onLoad="newRule('NetworkPolicy');">

       <div class="nav_main"> <img src="assets/front.png" alt=""> <img src="assets/end.png" alt=""> </div>

        <div class="leftnav"> <img src="assets/top.png" alt=""> <img src="assets/bottom.png" alt="">

         <div class="secmenu">



    </div>
           <div class="secmenuitems">
        <ul>
            <li>Security and compliance</li>
            <li>Security dashboard</li>
            <li>Vulnerability report</li>
             <li><a href="ondemand.html">On-demand scans</a></li>
            <li>Dependency list</li>
            <li>License compliance</li>
            <li><a href="index.html">Threat monitoring</a></li>
            <li><a href="policies.html">Policies</a></li>
            <li><a href="ondemand-manage.html">Configuration</a></li>

        </ul>


    </div>


        </div>

        <div class="content-wrapper">
            <div class="container-fluid container-limited">

                <div class="breakcrumb"><p><span>Project: production</span> > <span><a href="policies.html">Policies</a></span> > <span>Create policy</span></p></div>

                <h3>Create policy <span><a href="https://docs.gitlab.com/ee/user/application_security/threat_monitoring/#container-network-policy" target="_blank"><img src="assets/question.svg" alt=""></a></span></h3>
                <br />
                <form>
                    <div class="form-group">
                        <div class="form-item">
                            <label for="policytype" class="col-form-label-sm col-form-label">Policy Type</label>
                            <div class="dropdown b-dropdown gl-dropdown d-block mb-0 btn-group">
                                <button class="btn dropdown-toggle justify-content-between text-truncate" type="button" id="policytype" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                Runtime Container Policy
                                </button>
                                <div class="dropdown-menu" aria-labelledby="policytype">
                                <a class="dropdown-item" onClick="setPolicyType('Runtime Container Policy');" href="#">Runtime Container Policy</a>
                                <a class="dropdown-item" onClick="setPolicyType('Runtime Cluster Policy');" href="#">Runtime Cluster Policy</a>
                                <a class="dropdown-item" onClick="setPolicyType('Scan Execution Policy');" href="#">Scan Execution Policy</a>
                                <a class="dropdown-item" onClick="setPolicyType('Scan Result Policy');" href="#">Scan Result Policy</a>
                                <a class="dropdown-item" onClick="setPolicyType('Vulnerability Management Policy');" href="#">Vulnerability Management Policy</a>
                                </div>
                            </div>
                        </div>
                        <div class="clear"></div>
                    </div>
                </form>
                <div class="editheader">
                    <button type="button" class="btn editmode editmodeleft pressed" ID="rulemodebutton" onClick="setEditMode('rule');">Rule Mode</button><button type="button" class="btn editmode editmoderight" ID="yamlmodebutton" onClick="setEditMode('yaml');">.yaml Mode</button>
                </div>
                <div ID="rulemode" style="width:100%;">
                    <div ID="runtimecontainer" class="row rulecontainer">
                        <div class="col-lg-8">
                            <form>
                                <div class="form-group">
                                    <div class="form-item">
                                        <label for="runtimecontainerpolicyname" class="col-form-label-sm col-form-label">Name</label>
                                        <input type="text" class="form-control mb-0 policyname" id="runtimecontainerpolicyname" placeholder="" onKeyUp="repaintPolicies();">
                                    </div>
                                    <div class="clear"></div>
                                </div>
                                <div class="form-group">
                                    <div class="form-item">
                                        <label for="runtimecontainerpolicydescription" class="col-form-label-sm col-form-label">Description</label>
                                        <textarea class="form-control mb-0 policydescription" id="runtimecontainerpolicydescription" onKeyUp="repaintPolicies();"></textarea>
                                    </div>
                                    <div class="clear"></div>
                                </div>
                                <div class="form-group">
                                    <div class="form-item">
                                        <label for="runtimecontainerenvironments" class="col-form-label-sm col-form-label">Environments</label>
                                        <select id="runtimecontainerenvironments">
                                            <option value="production" selected>production</option>
                                            <option value="production-beta" selected>production-beta</option>
                                            <option value="staging" selected>staging</option>
                                            <option value="development" selected>development</option>
                                            <option value="testing" selected>testing</option>
                                        </select>
                                    </div>
                                    <div class="clear"></div>
                                </div>
                                <div class="form-group">
                                    <div class="form-item">
                                        <label for="runtimecontainerpolicyenabled" class="col-form-label-sm col-form-label">Enable</label>
                                        <input type="checkbox" ID="runtimecontainerpolicyenabled" checked data-toggle="toggle" onChange="repaintPolicies();" data-style="gitlab" data-width="56" data-height="24" data-size="small" data-on=" " data-off=" " data-onstyle="primary" data-offstyle="default">
                                    </div>
                                    <div class="clear"></div>
                                </div>
                            </form>
                            <h4>Rules</h4>
                            <div class="rulesection">
                                <div class="ruleblock newrule" onClick="newRule('NetworkPolicy');">
                                    <div class="ruleelement"><a href="javascript:;"><b>&#65291;</b> Add rule</a></div>
                                    <div class="clear"></div>
                                </div>
                                <div class="clear"></div>
                            </div>
                            <h4>Actions</h4>
                            <div class="actionsection">
                                <div class="actionblock newaction">
                                    <div class="ruleelement"><a href="javascript:newAction();"><b>&#65291;</b> Add action</a></div>
                                    <div class="clear"></div>
                                </div>
                                <div class="clear"></div>
                            </div>
                        </div>
                        <div class="col-lg-4">
                            <b>.yaml preview</b>
                            <div class="previewsection" id="previewruntimecontainersection"></div>
                        </div>
                        <div class="col-lg-12 previewrulerow">
                            <br />
                            <h4>Policy preview</h4>
                            <div class="previewrule card" id="previewruntimecontainerrule">
                                <div class="card-body previewbox">
                                    <span class="previewcontent">No rules defined yet.</span>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div ID="runtimecluster" class="row d-none rulecontainer">
                        <div class="col-lg-8">
                            <form>
                                <div class="form-group">
                                    <div class="form-item">
                                        <label for="runtimeclusterpolicyname" class="col-form-label-sm col-form-label">Name</label>
                                        <input type="text" class="form-control mb-0 policyname" id="runtimeclusterpolicyname" placeholder="" onKeyUp="repaintPolicies();">
                                    </div>
                                    <div class="clear"></div>
                                </div>
                                <div class="form-group">
                                    <div class="form-item">
                                        <label for="runtimeclusterpolicydescription" class="col-form-label-sm col-form-label">Description</label>
                                        <textarea class="form-control mb-0 policydescription" id="runtimeclusterpolicydescription" onKeyUp="repaintPolicies();"></textarea>
                                    </div>
                                    <div class="clear"></div>
                                </div>
                                <div class="form-group">
                                    <div class="form-item">
                                        <label for="runtimeclusterpolicyenabled" class="col-form-label-sm col-form-label">Enable</label>
                                        <input type="checkbox" ID="runtimeclusterpolicyenabled" onChange="repaintPolicies();" checked data-toggle="toggle" data-style="gitlab" data-width="56" data-height="24" data-size="small" data-on=" " data-off=" " data-onstyle="primary" data-offstyle="default">
                                    </div>
                                    <div class="clear"></div>
                                </div>
                            </form>
                            <h4>Rules</h4>
                            <div class="rulesection">
                                <div class="ruleblock newrule" onClick="newRule('PSPPolicy');">
                                    <div class="ruleelement"><a href="javascript:;"><b>&#65291;</b> Add rule</a></div>
                                    <div class="clear"></div>
                                </div>
                                <div class="clear"></div>
                            </div>
                            <h4>Actions</h4>
                            <div class="actionsection">
                                <div class="actionblock newaction">
                                    <div class="ruleelement"><a href="javascript:newAction();"><b>&#65291;</b> Add action</a></div>
                                    <div class="clear"></div>
                                </div>
                                <div class="clear"></div>
                            </div>
                        </div>
                        <div class="col-lg-4">
                            <b>.yaml preview</b>
                            <div class="previewsection" id="previewruntimeclustersection"></div>
                        </div>
                        <div class="col-lg-12 previewrulerow">
                            <br />
                            <h4>Policy preview</h4>
                            <div class="previewrule card" id="previewruntimeclusterrule">
                                <div class="card-body previewbox">
                                    <span class="previewcontent">No rules defined yet.</span>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div ID="scanexecution" class="row d-none rulecontainer">
                        <div class="col-lg-8">
                            <form>
                                <div class="form-group">
                                    <div class="form-item">
                                        <label for="scanexecutionpolicyname" class="col-form-label-sm col-form-label">Name</label>
                                        <input type="text" class="form-control mb-0 policyname" id="scanexecutionpolicyname" placeholder="" onKeyUp="repaintPolicies();">
                                    </div>
                                    <div class="clear"></div>
                                </div>
                                <div class="form-group">
                                    <div class="form-item">
                                        <label for="scanexecutionpolicydescription" class="col-form-label-sm col-form-label">Description</label>
                                        <textarea class="form-control mb-0 policydescription" id="scanexecutionpolicydescription" onKeyUp="repaintPolicies();"></textarea>
                                    </div>
                                    <div class="clear"></div>
                                </div>
                                <div class="form-group">
                                    <div class="form-item">
                                        <label for="scanexecutionpolicyenabled" class="col-form-label-sm col-form-label">Enable</label>
                                        <input type="checkbox" ID="scanexecutionpolicyenabled" onChange="repaintPolicies();" checked data-toggle="toggle" data-style="gitlab" data-width="56" data-height="24" data-size="small" data-on=" " data-off=" " data-onstyle="primary" data-offstyle="default">
                                    </div>
                                    <div class="clear"></div>
                                </div>
                            </form>
                            <h4>Rules</h4>
                            <div class="rulesection">
                                <div class="ruleblock newrule" onClick="newRule('ScanExecutionPolicy');">
                                    <div class="ruleelement"><a href="javascript:;"><b>&#65291;</b> Add rule</a></div>
                                    <div class="clear"></div>
                                </div>
                                <div class="clear"></div>
                            </div>
                            <h4>Actions</h4>
                            <div class="actionsection">
                                <div class="actionblock newaction">
                                    <div class="ruleelement">
                                        <button class="addaction" ID="scanexecutionnewaction" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><b>&#65291;</b> Add action</button>
                                        <div class="dropdown-menu" aria-labelledby="scanexecutionnewaction">
                                            <a class="dropdown-item requirescanoption" onClick="newAction2('requirescan');">Require a Scan</a>
                                            <a class="dropdown-item requireci" onClick="newAction2('executeci');">Execute a CI Script</a>
                                            <a class="dropdown-item alertoption" onClick="newAction2('alert');">Send an Alert</a>
                                            <a class="dropdown-item slackoption" onClick="newAction2('slack');">Send a Slack Notification</a>
                                        </div>
                                    </div>
                                    <div class="clear"></div>
                                </div>
                                <div class="clear"></div>
                            </div>
                        </div>
                        <div class="col-lg-4">
                            <b>.yaml preview</b>
                            <div class="previewsection" id="previewscanexecutionsection"></div>
                        </div>
                        <div class="col-lg-12 previewrulerow">
                            <br />
                            <h4>Policy preview</h4>
                            <div class="previewrule card" id="previewscanexecutionrule">
                                <div class="card-body previewbox">
                                    <span class="previewcontent">No rules defined yet.</span>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div ID="scanresult" class="row d-none rulecontainer">
                        <div class="col-lg-8">
                            <form>
                                <div class="form-group">
                                    <div class="form-item">
                                        <label for="scanresultpolicyname" class="col-form-label-sm col-form-label">Name</label>
                                        <input type="text" class="form-control mb-0 policyname" id="scanresultpolicyname" placeholder="" onKeyUp="repaintPolicies();">
                                    </div>
                                    <div class="clear"></div>
                                </div>
                                <div class="form-group">
                                    <div class="form-item">
                                        <label for="scanresultpolicydescription" class="col-form-label-sm col-form-label">Description</label>
                                        <textarea class="form-control mb-0 policydescription" id="scanresultpolicydescription" onKeyUp="repaintPolicies();"></textarea>
                                    </div>
                                    <div class="clear"></div>
                                </div>
                                <div class="form-group">
                                    <div class="form-item">
                                        <label for="scanresultpolicyenabled" class="col-form-label-sm col-form-label">Enable</label>
                                        <input type="checkbox" ID="scanresultpolicyenabled" onChange="repaintPolicies();" checked data-toggle="toggle" data-style="gitlab" data-width="56" data-height="24" data-size="small" data-on=" " data-off=" " data-onstyle="primary" data-offstyle="default">
                                    </div>
                                    <div class="clear"></div>
                                </div>
                            </form>
                            <h4>Rules</h4>
                            <div class="rulesection">
                                <div class="ruleblock newrule" onClick="newRule('ScanResultPolicy');">
                                    <div class="ruleelement"><a href="javascript:;"><b>&#65291;</b> Add rule</a></div>
                                    <div class="clear"></div>
                                </div>
                                <div class="clear"></div>
                            </div>
                            <h4>Actions</h4>
                            <div class="actionsection">
                                <div class="actionblock newaction">
                                    <div class="ruleelement">
                                        <button class="addaction" ID="scanresultnewaction" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><b>&#65291;</b> Add action</button>
                                        <div class="dropdown-menu" aria-labelledby="scanresultnewaction">
                                            <a class="dropdown-item requireapprovaloption" onClick="newAction2('requireapproval');">Require Approval</a>
                                            <a class="dropdown-item alertoption" onClick="newAction2('alert');">Send an Alert</a>
                                            <a class="dropdown-item slackoption" onClick="newAction2('slack');">Send a Slack Notification</a>
                                        </div>
                                    </div>
                                    <div class="clear"></div>
                                </div>
                                <div class="clear"></div>
                            </div>
                        </div>
                        <div class="col-lg-4">
                            <b>.yaml preview</b>
                            <div class="previewsection" id="previewscanresultsection"></div>
                        </div>
                        <div class="col-lg-12 previewrulerow">
                            <br />
                            <h4>Policy preview</h4>
                            <div class="previewrule card" id="previewscanresultrule">
                                <div class="card-body previewbox">
                                    <span class="previewcontent">No rules defined yet.</span>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div ID="vulnerabilitymanagement" class="row d-none rulecontainer">
                        <div class="col-lg-8">
                            <form>
                                <div class="form-group">
                                    <div class="form-item">
                                        <label for="vulnerabilitymanagementpolicyname" class="col-form-label-sm col-form-label">Name</label>
                                        <input type="text" class="form-control mb-0 policyname" id="vulnerabilitymanagementpolicyname" placeholder="" onKeyUp="repaintPolicies();">
                                    </div>
                                    <div class="clear"></div>
                                </div>
                                <div class="form-group">
                                    <div class="form-item">
                                        <label for="vulnerabilitymanagementpolicydescription" class="col-form-label-sm col-form-label">Description</label>
                                        <textarea class="form-control mb-0 policydescription" id="vulnerabilitymanagementpolicydescription" onKeyUp="repaintPolicies();"></textarea>
                                    </div>
                                    <div class="clear"></div>
                                </div>
                                <div class="form-group">
                                    <div class="form-item">
                                        <label for="vulnerabilitymanagementpolicyenabled" class="col-form-label-sm col-form-label">Enable</label>
                                        <input type="checkbox" ID="vulnerabilitymanagementpolicyenabled" onChange="repaintPolicies();" checked data-toggle="toggle" data-style="gitlab" data-width="56" data-height="24" data-size="small" data-on=" " data-off=" " data-onstyle="primary" data-offstyle="default">
                                    </div>
                                    <div class="clear"></div>
                                </div>
                            </form>
                            <h4>Rules</h4>
                            <div class="rulesection">
                                <div class="ruleblock newrule" onClick="newRule('VulnerabilityManagementPolicy');">
                                    <div class="ruleelement"><a href="javascript:;"><b>&#65291;</b> Add rule</a></div>
                                    <div class="clear"></div>
                                </div>
                                <div class="clear"></div>
                            </div>
                            <h4>Actions</h4>
                            <div class="actionsection">
                                <div class="actionblock newaction">
                                    <div class="ruleelement">
                                        <button class="addaction" ID="vulnerabilitymanagementnewaction" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><b>&#65291;</b> Add action</button>
                                        <div class="dropdown-menu" aria-labelledby="vulnerabilitymanagementnewaction">
                                            <a class="dropdown-item blockactionoption" onClick="newAction2('blockaction');">Block the Action</a>
                                            <a class="dropdown-item requireapprovaloption" onClick="newAction2('requireapproval');">Require Approval</a>
                                        </div>
                                    </div>
                                    <div class="clear"></div>
                                </div>
                                <div class="clear"></div>
                            </div>
                        </div>
                        <div class="col-lg-4">
                            <span class="d-none">
                                <b>.yaml preview</b>
                                <div class="previewsection" id="previewvulnerabilitymanagementsection"></div>
                            </span>
                        </div>
                        <div class="col-lg-12 previewrulerow">
                            <br />
                            <h4>Policy preview</h4>
                            <div class="previewrule card" id="previewvulnerabilitymanagementrule">
                                <div class="card-body previewbox">
                                    <span class="previewcontent">No rules defined yet.</span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div ID="yamlmode" class="yamlmode">
                    <div ID="yamltext" class="yamltext"></div>
                    <div ID="yamleditor" class="yamleditor w-100"></div>
                </div>
                <hr />
                <button class="btn btn-success" onClick="window.location='edit.html'">Create Policy</button>&nbsp;&nbsp;&nbsp;
                <button class="btn btn-secondary" onClick="window.location='edit.html'">Cancel</button>
            </div>
        </div>

        <div class="modal modal-xl fade" id="dastsiteprofilemodal" tabindex="-1" role="dialog" aria-labelledby="dastsiteprofilemodal" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLongTitle">Create DAST Site Profile</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                    </div>
                    <div class="modal-body">
                        <table class="table" ID="newsite">
                            <tbody>
                                <tr>
                                <td colspan="2">
                                    <strong>Site profile name</strong>
                                    <input type="text" ID="sitemodalcontentbox" class="form-control limit-width" />
                                </td>
                                </tr>
                                <tr>
                                    <td colspan="2">
                                        <strong>Target URL</strong>
                                        <input type="text" class="form-control limit-width" />
                                    </td>
                                    </tr>
                            </tbody>
                        </table>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <button type="button" class="btn btn-primary" data-dismiss="modal" onClick="closeSiteModal();">Save changes</button>
                    </div>
                </div>
            </div>
        </div>


        <div class="modal modal-xl fade" id="dastscanprofilemodal" tabindex="-1" role="dialog" aria-labelledby="dastscanprofilemodal" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLongTitle">Create DAST Scan Profile</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                    </div>
                    <div class="modal-body">
                        <table class="table" ID="newscan">
                            <tbody>
                                <tr>
                                <td colspan="2">
                                    <strong>Scan profile name</strong>
                                    <input type="text" ID="scanmodalcontentbox" class="form-control limit-width" />
                                </td>
                                </tr>
                                <tr>
                                <td><b>Scan mode:</b><br />
                                    <input type="radio" name="mode" id="active">
                                    <label for="active">Active</label><br>
                                    <input type="radio" name="mode" id="passive">
                                    <label for="passive">Passive</label>
                                </td>
                                </tr>
                                <tr>
                                <td><b>Spider time out:</b>
                                    <div role="group" class="input-group">
                                        <input type="number" min="0" max="2800" class="form-control" />
                                        <div class="input-group-append">
                                            <div class="input-group-text">Minutes</div>
                                        </div>
                                    </div>
                                    <div class="helpertext">
                                        Minimum = 0 (no timeout enabled), Maximum = 2880 minutes
                                        </div>
                                </td>
                                <td><b>Target time out:</b>
                                    <div role="group" class="input-group">
                                        <input type="number" min="1" max="3600" class="form-control" />
                                        <div class="input-group-append">
                                            <div class="input-group-text">Seconds</div>
                                        </div>
                                    </div>
                                    <div class="helpertext">
                                        Minimum = 1 second, Maximum = 3660 seconds
                                        </div>
                                </td>
                                </tr>
                                <tr>
                                <td><b>Ajax spider:</b><br />
                                    <input type="checkbox" id="ajax" />
                                    <label for="ajax">Turn on AJAX spider</label>
                                </td>
                                <td><b>Debug messages:</b><br />
                                    <input type="checkbox" id="debug" />
                                    <label for="debug">Show debug messages</label>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <button type="button" class="btn btn-primary" data-dismiss="modal" onClick="closeScanModal();">Save changes</button>
                    </div>
                </div>
            </div>
        </div>
    </body>
</html>
